<?php

namespace App\Http\Controllers\Admin;

use App\Exports\JobsExport;
use App\Exports\ConsultationsExport;
use App\Exports\NewslettersExport;
use App\Http\Controllers\Controller;

class ReportController extends Controller
{


    public function jobsReport()
    {
        $file = 'jobs_report'.time().'.xlsx';
        return (new JobsExport())->download($file);
    }

    public function consultationsReport()
    {
        $file = 'consultations_report'.time().'.xlsx';
        return (new ConsultationsExport())->download($file);
    }

    public function newslettersReport()
    {
        $file = 'newsletters_report'.time().'.xlsx';
        return (new NewslettersExport())->download($file);
    }


}
